# Componere\Definition::addProperty

(Componere 2 >= 2.1.0)

Componere\Definition::addProperty — Add Property

### Description

public Componere\Definition::addProperty ( string `$name` , \Componere\Value `$value` ) : Definition

Shall declare a class property on the current Definition

### Parameters

`name`

  The case sensitive name for the property

`value`

  The default Value for the property

### Return Values

The current Definition

### Exceptions

Warning

Shall throw RuntimeException if Definition was registered

Warning

Shall throw RuntimeException if `name` is already declared as a property